Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225929 - Merge Review: jakarta-commons-fileupload
Summary: Merge Review: jakarta-commons-fileupload
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wringe
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:09 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-26 15:40:11 UTC
mwringe: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:09:17 UTC
Fedora Merge Review: jakarta-commons-fileupload

http://cvs.fedora.redhat.com/viewcvs/devel/jakarta-commons-fileupload/
Initial Owner: pcheung@redhat.com

Comment 2 Matt Wringe 2007-04-24 03:20:21 UTC
MUST:
* package is named appropriately
 - match upstream tarball or project name
 - try to match previous incarnations in other distributions/packagers for
consistency
 - specfile should be %{name}.spec
 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
OK
* is it legal for Fedora to distribute this?
 - OSI-approved
 - not a kernel module
 - not shareware
 - is it covered by patents?
 - it *probably* shouldn't be an emulator
 - no binary firmware
OK
* license field matches the actual license.
OK
* license is open source-compatible.
OK
* specfile name matches %{name}
OK
* verify source and patches (md5sum matches upstream, know what the patches do)
 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie. 
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah
OK, files match svn outputt
* skim the summary and description for typos, etc.
OK
* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK
* if %{?dist} is used, it should be in that form (note the ? and %
locations)
OK
* license text included in package and marked with %doc
OK
* keep old changelog entries; use judgement when removing (too old?
useless?)
OK
* packages meets FHS (http://www.pathname.com/fhs/)
OK
* rpmlint on <this package>.srpm gives no output
rpmlint jakarta-commons-fileupload-1.0-6jpp.2.src.rpm 
W: jakarta-commons-fileupload non-standard-group Development/Libraries/Java

OK, group warnings can be ignored

* changelog should be in a proper format:
OK
* Packager tag should not be used
OK
* Vendor tag should not be used
OK
* Distribution tag should not be used
OK
* use License and not Copyright 
OK
* Summary tag should not end in a period
OK
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
OK
* specfile is legible
 - this is largely subjective; use your judgement
* package successfully compiles and builds on at least x86
OK
* BuildRequires are proper
 - builds in mock will flush out problems here
Have not tried in mock yet
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which
OK
* summary should be a short and concise description of the package
X summary is basically just package name "Jakarta Commons Fileupload Package"
* description expands upon summary (don't include installation
instructions)
OK
* make sure description lines are <= 80 characters
OK
* specfile written in American English
OK
* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
OK
* packages including libraries should exclude static libraries if possible
OK
* don't use rpath
OK
* config files should usually be marked with %config(noreplace)
OK, no config files
* GUI apps should contain .desktop files
OK, not a gui app
* should the package contain a -devel sub-package?
OK, no -devel needed
* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
OK
* don't use %makeinstall
OK, doesn't use make
* install section must begin with rm -rf $RPM_BUILD_ROOT or %{buildroot}
OK
* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
OK, no locales
* consider using cp -p to preserve timestamps
OK
* split Requires(pre,post) into two separate lines
OK
* package should probably not be relocatable
OK
* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
OK
* package should own all directories and files
X package doesn't own /usr/share/java[doc], this package needs a requirement on
jpackage-utils (owns those directories)
* there should be no %files duplicates
OK
* file permissions should be okay; %defattrs should be present
OK
* %clean should be present
OK
* %doc files should not affect runtime
* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
* verify the final provides and requires of the binary RPMs
* run rpmlint on the binary RPMs

rpmlint /home/matt/topdir/RPMS/i386/jakarta-commons-fileupload-1.0-6jpp.2.i386.rpm
W: jakarta-commons-fileupload non-standard-group Development/Libraries/Java
W: jakarta-commons-fileupload unstripped-binary-or-object
/usr/lib/gcj/jakarta-commons-fileupload/jakarta-commons-fileupload-1.0.jar.so
X please fix the unstripped-binary-or-object warning.

rpmlint
/home/matt/topdir/RPMS/i386/jakarta-commons-fileupload-javadoc-1.0-6jpp.2.i386.rpm
W: jakarta-commons-fileupload-javadoc non-standard-group Development/Documentation
OK, can ignore the group warning

SHOULD:
* package should include license text in the package and mark it with %doc
OK
* package should build on i386
OK
* package should build in mock



Comment 3 Permaine Cheung 2007-04-24 18:12:34 UTC
(In reply to comment #2)
...
> * summary should be a short and concise description of the package
> X summary is basically just package name "Jakarta Commons Fileupload Package"
Fixed
...
> * package should own all directories and files
> X package doesn't own /usr/share/java[doc], this package needs a requirement on
> jpackage-utils (owns those directories)
Added
> * run rpmlint on the binary RPMs
> 
> rpmlint /home/matt/topdir/RPMS/i386/jakarta-commons-fileupload-1.0-6jpp.2.i386.rpm
> W: jakarta-commons-fileupload non-standard-group Development/Libraries/Java
> W: jakarta-commons-fileupload unstripped-binary-or-object
> /usr/lib/gcj/jakarta-commons-fileupload/jakarta-commons-fileupload-1.0.jar.so
> X please fix the unstripped-binary-or-object warning.
> 
Hm... I don't get this warning, just the group one:
[pcheung@to-fcjpp1 src]$ rpmlint
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/jakarta-commons-fileupload-1.0-6jpp.2.fc7.x86_64.rpm
W: jakarta-commons-fileupload non-standard-group Development/Libraries/Java


Updated spec file and srpm at the same location.

Comment 4 Matt Wringe 2007-04-25 23:01:54 UTC
OK, looks good.

APPROVED

Comment 5 Permaine Cheung 2007-04-26 15:33:12 UTC
Package built into brew.


Note You need to log in before you can comment on or make changes to this bug.